import { OnInit, AfterContentInit, OnDestroy, EventEmitter, OnChanges, SimpleChanges } from "@angular/core";
import { NetworkDetectionService } from "./services/network-detection.service";
export declare class PenpencilPlayerComponent implements OnInit, AfterContentInit, OnDestroy, OnChanges {
    private networkDetectionService;
    playerConfig: PlayerConfig;
    inIt: EventEmitter<any>;
    onPlay: EventEmitter<any>;
    onPause: EventEmitter<any>;
    onEnded: EventEmitter<any>;
    onError: EventEmitter<any>;
    onFullscreenchange: EventEmitter<any>;
    onVideoSkip: EventEmitter<any>;
    private player;
    private playerConfigData;
    private playerInfo;
    private playerControls;
    private networkDetectionSubs;
    private playerResetSubs;
    private MAX_RETRY;
    private RETRY;
    private previousTime;
    private currentTime;
    private seekStart;
    constructor(networkDetectionService: NetworkDetectionService);
    check(event: any): void;
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private play;
    private playerInit;
    private setupPlayerControls;
    private setupPlayer;
    private setupSrc;
    private initializePlugins;
    retryInitPlayer(): void;
    private callBacks;
    ngOnDestroy(): void;
    private setCurrentTime;
    private setPlaybackRate;
    private getPlayerInfo;
    networkChange(): void;
    formatBytes(bytes: any, decimals?: number): string;
    setResetPlayer(playbackRate?: any): void;
    resetPlayer(): void;
}
interface PlayerConfig {
    poster: string;
    forceLLHLSenable: boolean;
    liveui: boolean;
    sources: Array<any>;
    type: string;
    autoplay: boolean;
    encryptionUri: string;
    query: string;
    headers: Array<any>;
    startTime: number;
    fullScreenEnabled: boolean;
    fluid: boolean;
    fill: boolean;
    responsive: boolean;
    defaultQuality: string;
    forwardBackward: boolean;
    lastPlaybackRate: number;
}
declare class PlayerConfig {
    accessToken: string;
    poster: string;
    liveui: boolean;
    forceLLHLSenable: boolean;
    sources: Array<any>;
    type: string;
    autoplay: boolean;
    encryptionUri: string;
    query: string;
    headers: Array<any>;
    startTime: number;
    fullScreenEnabled: boolean;
    fluid: boolean;
    fill: boolean;
    defaultQuality: string;
    responsive: boolean;
    forwardBackward: boolean;
    watermark: {
        text: string;
        link: string;
        imageUrl: string;
    };
    seekButtons: boolean;
    seekSeconds: number;
    lastPlaybackRate: number;
    constructor(config: any, playerCache?: any);
}
export {};
