import { OnDestroy } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
export declare class NetworkDetectionService implements OnDestroy {
    private offlineSubscription;
    private onlineSubscription;
    private currentState;
    private stateChangeEventEmitter;
    resetPlayerTimer: any;
    private resetPlayerSub;
    constructor();
    ngOnDestroy(): void;
    private checkNetworkState;
    private emitEvent;
    /**
     * Monitor Network & Internet connection status by subscribing to this observer. If you set "reportCurrentState" to "false" then
     * function will not report current status of the connections when initially subscribed.
     * @param reportCurrentState Report current state when initial subscription. Default is "true"
     */
    monitor(reportCurrentState?: boolean): Observable<ConnectionState>;
    setResetPlayer(data: any): void;
    clearTimer(): void;
    resetPlayer(): BehaviorSubject<any>;
}
/**
 * Instance of this interface is used to report current connection status.
 */
export interface ConnectionState {
    /**
     * "True" if browser has network connection. Determined by Window objects "online" / "offline" events.
     */
    hasNetworkConnection: boolean;
    /**
     * "True" if browser has Internet access. Determined by heartbeat system which periodically makes request to heartbeat Url.
     */
    hasInternetAccess: boolean;
}
